Name:           dragonmemory
Version:        1.0
Release:        1%{?dist}
Summary:        A memory game where you have to match identical chips
License:        GPL-3.0-only
Group:          Amusements/Games/Board/Puzzle
URL:            https://sourceforge.net/projects/dragonmemory/
Source0:        https://prdownloads.sourceforge.net/dragonmemory/DragonMemory-source.tgz
Source1:        dragonmemory.png
Patch0:         dragonmemory-1.0-linuxpath.patch
Patch1:         dragonmemory-1.0-makefile.patch
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils

%description
Dragon Memory is a memory game where you have to match identical chips from
a board. The game has very detailed graphics and a lot of levels to play.

%prep
%setup -q -n DragonMemory
%patch -P 0 -p1 -b .path
%patch -P 1 -p1 -b .makefile

%build
export CPPFLAGS="%{optflags}"
%make_build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}
install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r fonts %{buildroot}%{_datadir}/%{name}/
cp -r gfx %{buildroot}%{_datadir}/%{name}/
cp -r music %{buildroot}%{_datadir}/%{name}/
cp -r sounds %{buildroot}%{_datadir}/%{name}/
cp -r themes %{buildroot}%{_datadir}/%{name}/


mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Dragon Memory
Comment=Dragon Memory is a memory game
Comment[de]=Dragon Memory ist ein Memory-Spiel
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license License.txt
%doc Authors.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Jan 25 2025 josef radinger <cheese@nosuchhost.net> - 1.0-1
- build for fedora
- based on specfile for suse
